#### Previous topic

minimize(method=’TNC’)

#### Next topic

minimize(method=’SLSQP’)

# minimize(method=’COBYLA’)

`scipy.optimize.``minimize`(fun, x0, args=(), method='COBYLA', constraints=(), tol=None, callback=None, options={'iprint': 1, 'disp': False, 'maxiter': 1000, 'catol': 0.0002, 'rhobeg': 1.0})

  Minimize a scalar function of one or more variables using the Constrained Optimization BY Linear Approximation (COBYLA) algorithm.

  See also

  For documentation for the rest of the parameters, see `scipy.optimize.minimize`

  Options:

  rhobeg : float

  > Reasonable initial changes to the variables.

  tol : float

  > Final accuracy in the optimization (not precisely guaranteed). This is a lower bound on the size of the trust region.

  disp : bool

  > Set to True to print convergence messages. If False, verbosity is ignored as set to 0.

  maxiter : int

  > Maximum number of function evaluations.

  catol : float

  > Tolerance (absolute) for constraint violations